/* Linker script for the STM32F405VG */

MEMORY
{
  /* The last flash sector is reserved for config */
  FLASH (rx)      : ORIGIN = 0x8000000, LENGTH = 896K
  RAM (xrw)       : ORIGIN = 0x20000000, LENGTH = 112K - 4
  /* reserved for DFU trigger message */
  DFU_MSG (wrx)   : ORIGIN = 0x2001BFFC, LENGTH = 4
  RAM2 (xrw)      : ORIGIN = 0x2001C000, LENGTH = 16K
  RAM3 (xrw)      : ORIGIN = 0x20020000, LENGTH = 64K
  CCMRAM (rw)     : ORIGIN = 0x10000000, LENGTH = 64K
}

_flash_start = ORIGIN(FLASH);
_dfu_msg = ORIGIN(DFU_MSG);
_stack_start = ORIGIN(CCMRAM) + LENGTH(CCMRAM);
